org.eclipse.aether.internal.impl

## Class DefaultFileProcessor

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultFileProcessor

- All Implemented Interfaces:
    FileProcessor

      @Named
      @Component(role=FileProcessor.class)
      public class DefaultFileProcessor
      extends Object
      implements FileProcessor

  A utility class helping with file-based operations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.aether.spi.io.FileProcessor

      `FileProcessor.ProgressListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFileProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(File source, File target)` Copies the specified source file to the given target file.
    `long` | `copy(File source, File target, FileProcessor.ProgressListener listener)` Copies the specified source file to the given target file.
    `boolean` | `mkdirs(File directory)` Thread-safe variant of `File.mkdirs()`.
    `void` | `move(File source, File target)` Moves the specified source file to the given target file.
    `void` | `write(File target, InputStream source)` Writes the given stream to a file.
    `void` | `write(File target, String data)` Writes the given data to a file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFileProcessor

          public DefaultFileProcessor()

  - ### Method Detail

    - #### mkdirs

          public boolean mkdirs(File directory)

      Thread-safe variant of `File.mkdirs()`. Adapted from Java 6. Creates the directory named by the given abstract pathname, including any necessary but nonexistent parent directories. Note that if this operation fails it may have succeeded in creating some of the necessary parent directories.
      Specified by:
        `mkdirs` in interface `FileProcessor`
      Parameters:
        `directory` - The directory to create, may be `null`.
      Returns:
        `true` if and only if the directory was created, along with all necessary parent directories; `false` otherwise

    - #### write

          public void write(File target,
                   String data)
                     throws IOException

      Description copied from interface: `FileProcessor`
      Writes the given data to a file. UTF-8 is assumed as encoding for the data. Creates the necessary directories for the target file. In case of an error, the created directories will be left on the file system.
      Specified by:
        `write` in interface `FileProcessor`
      Parameters:
        `target` - The file to write to, must not be `null`. This file will be overwritten.
        `data` - The data to write, may be `null`.
      Throws:
        `IOException` - If an I/O error occurs.

    - #### write

          public void write(File target,
                   InputStream source)
                     throws IOException

      Description copied from interface: `FileProcessor`
      Writes the given stream to a file. Creates the necessary directories for the target file. In case of an error, the created directories will be left on the file system.
      Specified by:
        `write` in interface `FileProcessor`
      Parameters:
        `target` - The file to write to, must not be `null`. This file will be overwritten.
        `source` - The stream to write to the file, must not be `null`.
      Throws:
        `IOException` - If an I/O error occurs.

    - #### copy

          public void copy(File source,
                  File target)
                    throws IOException

      Description copied from interface: `FileProcessor`
      Copies the specified source file to the given target file. Creates the necessary directories for the target file. In case of an error, the created directories will be left on the file system.
      Specified by:
        `copy` in interface `FileProcessor`
      Parameters:
        `source` - The file to copy from, must not be `null`.
        `target` - The file to copy to, must not be `null`.
      Throws:
        `IOException` - If an I/O error occurs.

    - #### copy

          public long copy(File source,
                  File target,
                  FileProcessor.ProgressListener listener)
                    throws IOException

      Description copied from interface: `FileProcessor`
      Copies the specified source file to the given target file. Creates the necessary directories for the target file. In case of an error, the created directories will be left on the file system.
      Specified by:
        `copy` in interface `FileProcessor`
      Parameters:
        `source` - The file to copy from, must not be `null`.
        `target` - The file to copy to, must not be `null`.
        `listener` - The listener to notify about the copy progress, may be `null`.
      Returns:
        The number of copied bytes.
      Throws:
        `IOException` - If an I/O error occurs.

    - #### move

          public void move(File source,
                  File target)
                    throws IOException

      Description copied from interface: `FileProcessor`
      Moves the specified source file to the given target file. If the target file already exists, it is overwritten. Creates the necessary directories for the target file. In case of an error, the created directories will be left on the file system.
      Specified by:
        `move` in interface `FileProcessor`
      Parameters:
        `source` - The file to move from, must not be `null`.
        `target` - The file to move to, must not be `null`.
      Throws:
        `IOException` - If an I/O error occurs.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.